info.bioinfweb.jphyloio

## Interface ReadWriteConstants

- All Known Implementing Classes:
    AbstractCharLabelsReader, AbstractEventReader, AbstractIDLinkSetElementReader, AbstractNeXMLElementReader, AbstractNexusSetReader, AbstractPhylipEventReader, AbstractSetElementReader, AbstractTextEventReader, AbstractXMLEventReader, CharactersDataUnalignedBlockHandler, CharLabelsReader, CharSetReader, CharStateLabelsReader, DimensionsReader, ENewickNetworkReader, ENewickNetworksBlockHandler, FASTAEventReader, FormatReader, HotCommentDataReader, IDBasedSetsReader, MatrixReader, MEGAEventReader, NewickEventReader, NewickStringReader, NeXMLEventReader, NeXMLMetaEndElementReader, NeXMLMetaStartElementReader, NeXMLSetEndElementReader, NexusEventReader, NHXUtils, ObjectTranslatorFactory, PDEEventReader, PhylipEventReader, PhyloXMLEventReader, SequentialPhylipEventReader, TaxLabelsReader, TaxSetReader, TitleReader, TranslateReader, TreeReader, TreesBlockHandler, TreeSetReader, XTGEventReader

      public interface ReadWriteConstants

  Provides general constants for reading and writing phylogenetic file formats.

  The `DEFAULT_XXX_PREFIX` constants are used by some reader implementations to generate event IDs. Their value may change any time without further notice. Such a change would not be considered as an API change and would not be reflected in a major version number increase. Application developers should never rely on expecting specific prefixes for event IDs.

  Since:
    0.0.0
  Author:
    Ben Stöver, Sarah Wiechers

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.xml.namespace.QName` | `ATTRIBUTE_STRING_KEY`
    `static java.lang.String` | `ATTRIBUTES_NAMESPACE_FOLDER`
    `static java.lang.String` | `DATA_TYPE_NAMESPACE_FOLDER`
    `static javax.xml.namespace.QName` | `DATA_TYPE_SIMPLE_VALUE_LIST` A custom data type defined in JPhyloIO that indicates that a list in the Newick/Nexus metadata notation as processed by `ListTranslator` is stored in an XML format.
    `static java.lang.String` | `DEFAULT_CHAR_SET_ID_PREFIX`
    `static java.lang.String` | `DEFAULT_CHARACTER_DEFINITION_ID_PREFIX`
    `static java.lang.String` | `DEFAULT_EDGE_ID_PREFIX`
    `static java.lang.String` | `DEFAULT_GENERAL_ID_PREFIX`
    `static java.lang.String` | `DEFAULT_MATRIX_ID_PREFIX`
    `static int` | `DEFAULT_MAX_COMMENT_LENGTH`
    `static int` | `DEFAULT_MAX_TOKENS_TO_READ`
    `static java.lang.String` | `DEFAULT_META_ID_PREFIX`
    `static java.lang.String` | `DEFAULT_NETWORK_ID_PREFIX`
    `static java.lang.String` | `DEFAULT_NODE_EDGE_SET_ID_PREFIX`
    `static java.lang.String` | `DEFAULT_NODE_ID_PREFIX`
    `static java.lang.String` | `DEFAULT_OTU_ID_PREFIX`
    `static java.lang.String` | `DEFAULT_OTU_LIST_ID_PREFIX`
    `static java.lang.String` | `DEFAULT_OTU_SET_ID_PREFIX`
    `static java.lang.String` | `DEFAULT_SEQUENCE_ID_PREFIX`
    `static java.lang.String` | `DEFAULT_SEQUENCE_SET_ID_PREFIX`
    `static java.lang.String` | `DEFAULT_TOKEN_DEFINITION_ID_PREFIX`
    `static java.lang.String` | `DEFAULT_TOKEN_SET_ID_PREFIX`
    `static java.lang.String` | `DEFAULT_TREE_ID_PREFIX`
    `static java.lang.String` | `DEFAULT_TREE_NETWORK_GROUP_ID_PREFIX`
    `static java.lang.String` | `DEFAULT_TREE_NETWORK_SET_ID_PREFIX`
    `static java.lang.String` | `JPHYLOIO_ATTRIBUTES_NAMESPACE`
    `static java.lang.String` | `JPHYLOIO_ATTRIBUTES_PREFIX`
    `static java.lang.String` | `JPHYLOIO_DATA_TYPE_NAMESPACE` The namespace for data types defined in JPhyloIO.
    `static java.lang.String` | `JPHYLOIO_DATA_TYPE_PREFIX` The default namespace prefix for `JPHYLOIO_DATA_TYPE_NAMESPACE`.
    `static java.lang.String` | `JPHYLOIO_FORMATS_NAMESPACE_PREFIX`
    `static java.lang.String` | `JPHYLOIO_GENERAL_NAMESPACE`
    `static java.lang.String` | `JPHYLOIO_NAMESPACE_PREFIX`
    `static java.lang.String` | `JPHYLOIO_PREDICATE_NAMESPACE`
    `static java.lang.String` | `JPHYLOIO_PREDICATE_PREFIX`
    `static javax.xml.namespace.QName` | `PREDICATE_CHARACTER_COUNT`
    `static javax.xml.namespace.QName` | `PREDICATE_EDGE_LENGTH`
    `static javax.xml.namespace.QName` | `PREDICATE_EDGE_SOURCE_NODE` The following constants are currently only used in PhyloXML, but may be used by other formats in the future.
    `static javax.xml.namespace.QName` | `PREDICATE_EDGE_TARGET_NODE`
    `static javax.xml.namespace.QName` | `PREDICATE_HAS_CUSTOM_XML`
    `static javax.xml.namespace.QName` | `PREDICATE_HAS_LITERAL_METADATA`
    `static javax.xml.namespace.QName` | `PREDICATE_HAS_RESOURCE_METADATA`
    `static javax.xml.namespace.QName` | `PREDICATE_IS_CROSSLINK`
    `static java.lang.String` | `PREDICATE_NAMESPACE_FOLDER`
    `static java.lang.String` | `PREDICATE_PART_SEPERATOR`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_COUNT`
    `static java.lang.String` | `RESERVED_ID_PREFIX`

- - ### Field Detail

    - #### DEFAULT_MAX_TOKENS_TO_READ

          static final int DEFAULT_MAX_TOKENS_TO_READ

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_COMMENT_LENGTH

          static final int DEFAULT_MAX_COMMENT_LENGTH

      See Also:
        Constant Field Values

    - #### PREDICATE_PART_SEPERATOR

          static final java.lang.String PREDICATE_PART_SEPERATOR

      See Also:
        Constant Field Values

    - #### ATTRIBUTES_NAMESPACE_FOLDER

          static final java.lang.String ATTRIBUTES_NAMESPACE_FOLDER

      See Also:
        Constant Field Values

    - #### PREDICATE_NAMESPACE_FOLDER

          static final java.lang.String PREDICATE_NAMESPACE_FOLDER

      See Also:
        Constant Field Values

    - #### DATA_TYPE_NAMESPACE_FOLDER

          static final java.lang.String DATA_TYPE_NAMESPACE_FOLDER

      See Also:
        Constant Field Values

    - #### JPHYLOIO_NAMESPACE_PREFIX

          static final java.lang.String JPHYLOIO_NAMESPACE_PREFIX

      See Also:
        Constant Field Values

    - #### JPHYLOIO_GENERAL_NAMESPACE

          static final java.lang.String JPHYLOIO_GENERAL_NAMESPACE

      See Also:
        Constant Field Values

    - #### JPHYLOIO_ATTRIBUTES_NAMESPACE

          static final java.lang.String JPHYLOIO_ATTRIBUTES_NAMESPACE

      See Also:
        Constant Field Values

    - #### JPHYLOIO_ATTRIBUTES_PREFIX

          static final java.lang.String JPHYLOIO_ATTRIBUTES_PREFIX

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_STRING_KEY

          static final javax.xml.namespace.QName ATTRIBUTE_STRING_KEY

    - #### JPHYLOIO_PREDICATE_NAMESPACE

          static final java.lang.String JPHYLOIO_PREDICATE_NAMESPACE

      See Also:
        Constant Field Values

    - #### JPHYLOIO_PREDICATE_PREFIX

          static final java.lang.String JPHYLOIO_PREDICATE_PREFIX

      See Also:
        Constant Field Values

    - #### JPHYLOIO_FORMATS_NAMESPACE_PREFIX

          static final java.lang.String JPHYLOIO_FORMATS_NAMESPACE_PREFIX

      See Also:
        Constant Field Values

    - #### PREDICATE_HAS_LITERAL_METADATA

          static final javax.xml.namespace.QName PREDICATE_HAS_LITERAL_METADATA

    - #### PREDICATE_HAS_RESOURCE_METADATA

          static final javax.xml.namespace.QName PREDICATE_HAS_RESOURCE_METADATA

    - #### PREDICATE_HAS_CUSTOM_XML

          static final javax.xml.namespace.QName PREDICATE_HAS_CUSTOM_XML

    - #### PREDICATE_SEQUENCE_COUNT

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_COUNT

    - #### PREDICATE_CHARACTER_COUNT

          static final javax.xml.namespace.QName PREDICATE_CHARACTER_COUNT

    - #### PREDICATE_EDGE_SOURCE_NODE

          static final javax.xml.namespace.QName PREDICATE_EDGE_SOURCE_NODE

      The following constants are currently only used in PhyloXML, but may be used by other formats in the future.

    - #### PREDICATE_EDGE_TARGET_NODE

          static final javax.xml.namespace.QName PREDICATE_EDGE_TARGET_NODE

    - #### PREDICATE_EDGE_LENGTH

          static final javax.xml.namespace.QName PREDICATE_EDGE_LENGTH

    - #### PREDICATE_IS_CROSSLINK

          static final javax.xml.namespace.QName PREDICATE_IS_CROSSLINK

    - #### JPHYLOIO_DATA_TYPE_NAMESPACE

          static final java.lang.String JPHYLOIO_DATA_TYPE_NAMESPACE

      The namespace for data types defined in JPhyloIO.
      Since:
        0.3.0
      See Also:
        Constant Field Values

    - #### JPHYLOIO_DATA_TYPE_PREFIX

          static final java.lang.String JPHYLOIO_DATA_TYPE_PREFIX

      The default namespace prefix for `JPHYLOIO_DATA_TYPE_NAMESPACE`.
      Since:
        0.3.0
      See Also:
        Constant Field Values

    - #### DATA_TYPE_SIMPLE_VALUE_LIST

          static final javax.xml.namespace.QName DATA_TYPE_SIMPLE_VALUE_LIST

      A custom data type defined in JPhyloIO that indicates that a list in the Newick/Nexus metadata notation as processed by `ListTranslator` is stored in an XML format.
      Since:
        0.3.0

    - #### RESERVED_ID_PREFIX

          static final java.lang.String RESERVED_ID_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_GENERAL_ID_PREFIX

          static final java.lang.String DEFAULT_GENERAL_ID_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_META_ID_PREFIX

          static final java.lang.String DEFAULT_META_ID_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_OTU_LIST_ID_PREFIX

          static final java.lang.String DEFAULT_OTU_LIST_ID_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_OTU_ID_PREFIX

          static final java.lang.String DEFAULT_OTU_ID_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_OTU_SET_ID_PREFIX

          static final java.lang.String DEFAULT_OTU_SET_ID_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_MATRIX_ID_PREFIX

          static final java.lang.String DEFAULT_MATRIX_ID_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_SEQUENCE_ID_PREFIX

          static final java.lang.String DEFAULT_SEQUENCE_ID_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_SEQUENCE_SET_ID_PREFIX

          static final java.lang.String DEFAULT_SEQUENCE_SET_ID_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_CHARACTER_DEFINITION_ID_PREFIX

          static final java.lang.String DEFAULT_CHARACTER_DEFINITION_ID_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_CHAR_SET_ID_PREFIX

          static final java.lang.String DEFAULT_CHAR_SET_ID_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_TOKEN_SET_ID_PREFIX

          static final java.lang.String DEFAULT_TOKEN_SET_ID_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_TOKEN_DEFINITION_ID_PREFIX

          static final java.lang.String DEFAULT_TOKEN_DEFINITION_ID_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_TREE_ID_PREFIX

          static final java.lang.String DEFAULT_TREE_ID_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_NETWORK_ID_PREFIX

          static final java.lang.String DEFAULT_NETWORK_ID_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_TREE_NETWORK_GROUP_ID_PREFIX

          static final java.lang.String DEFAULT_TREE_NETWORK_GROUP_ID_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_TREE_NETWORK_SET_ID_PREFIX

          static final java.lang.String DEFAULT_TREE_NETWORK_SET_ID_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_NODE_ID_PREFIX

          static final java.lang.String DEFAULT_NODE_ID_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_EDGE_ID_PREFIX

          static final java.lang.String DEFAULT_EDGE_ID_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_NODE_EDGE_SET_ID_PREFIX

          static final java.lang.String DEFAULT_NODE_EDGE_SET_ID_PREFIX

      See Also:
        Constant Field Values